import telebot

from telebot import types

bot: telebot = telebot.TeleBot("6934527715:AAHXoi9dl4YbZyh6LcDk_Ghd2GkLhuQ3fwA")


@bot.message_handler(commands=['start'])
def start(message):
    markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
    kurs2 = types.KeyboardButton('2 курс')
    kurs3 = types.KeyboardButton('3 курс(soon)')
    kurs4 = types.KeyboardButton('4 курс(soon)')

    markup.add(kurs2, kurs3, kurs4)

    bot.send_message(message.chat.id, f'Привет, выбери нужный курс!', reply_markup=markup)


@bot.message_handler(content_types=['text'])
def get_photo(message):
    if message.text == '2 курс':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        domenwin = types.KeyboardButton('Ввести в домен(Windows)')
        domenastra = types.KeyboardButton('Ввести в домен(Astra)')
        back = types.KeyboardButton('Вернуться назад')
        markup.add(domenwin)
        markup.add(domenastra)
        markup.add(back)

        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Вернуться назад':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        kurs2 = types.KeyboardButton('2 курс')
        kurs3 = types.KeyboardButton('3 курс(soon)')
        kurs4 = types.KeyboardButton('4 курс(soon)')
        markup.add(kurs2, kurs3, kurs4)
        bot.send_message(message.chat.id, f'Вы вернулись в главное меню ', reply_markup=markup)

    elif message.text == 'Ввести в домен(Windows)':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        bot.send_message(message.chat.id, 'Важно! Сначала настраиваем Домен потом Windows')
        settingwin = types.KeyboardButton('Начать настройку Windows')
        settingdomen = types.KeyboardButton('Начать настройку Домена')
        back = types.KeyboardButton('Вернуться назад')
        markup.add(settingdomen)
        markup.add(settingwin)
        markup.add(back)

        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Начать настройку Домена':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go11 = types.KeyboardButton('1 Шаг')

        markup.add(go11)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == '1 Шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go22 = types.KeyboardButton('2 Шаг')
        bot.send_message(message.chat.id, 'Открываем службы')
        image = '8kXd2lz3-Fs.jpg'
        file51 = open(image, 'rb')
        bot.send_photo(message.chat.id, file51)
        bot.send_message(message.chat.id, 'Ищем следующие службы и включаем их')
        bot.send_message(message.chat.id, '1.DNS клиент')
        image = '2LINFfDPqxE.jpg'
        file51 = open(image, 'rb')
        bot.send_photo(message.chat.id, file51)
        bot.send_message(message.chat.id, '2.обнаружение SSDP')
        image = 'lxA4kY8p-1o.jpg'
        file52 = open(image, 'rb')
        bot.send_photo(message.chat.id, file52)
        bot.send_message(message.chat.id, '3.Сетевые подключения')
        image = 'wjLkFNqBLWk.jpg'
        file53 = open(image, 'rb')
        bot.send_photo(message.chat.id, file53)
        bot.send_message(message.chat.id, 'Отключаем "Центр обновления Windows"')
        image = 'q4ZR4Ilb2_8.jpg'
        file54 = open(image, 'rb')
        bot.send_photo(message.chat.id, file54)
        markup.add(go22)
        bot.send_message(message.chat.id, f'Выбери следующий шаг ', reply_markup=markup)

    elif message.text == '2 Шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go3 = types.KeyboardButton('3 Шаг')
        bot.send_message(message.chat.id, 'Заходим в "Проводник"')
        bot.send_message(message.chat.id, 'ПКМ"Сеть"')
        image = 'JmYC7jHMBig.jpg'
        file = open(image, 'rb')
        bot.send_photo(message.chat.id, file)
        bot.send_message(message.chat.id, 'Выбираем "Свойства"')
        image = '3333.jpg'
        file1 = open(image, 'rb')
        bot.send_photo(message.chat.id, file1)
        bot.send_message(message.chat.id, 'Выбираем "Изменить доп.параметры общего доступа"')
        bot.send_message(message.chat.id, 'включаем все параметры и сохранаем изменения')
        image = '1234.jpg'
        file2 = open(image, 'rb')
        bot.send_photo(message.chat.id, file2)
        bot.send_message(message.chat.id, 'Выбираем изменение параметров адаптера')
        bot.send_message(message.chat.id, 'ПКМ"Ethernet"')
        image = 'Sun4VQluam8 — копия.jpg'
        file3 = open(image, 'rb')
        bot.send_photo(message.chat.id, file3)
        bot.send_message(message.chat.id, 'Выбираем"Свойства"')
        image = '1121443.jpg'
        file3 = open(image, 'rb')
        bot.send_photo(message.chat.id, file3)
        bot.send_message(message.chat.id, 'выбираем IP версии 4 (TCP/IPv4) ->Свойства')
        image = '4ZuLEXqxLwY.jpg'
        file4 = open(image, 'rb')
        bot.send_photo(message.chat.id, file4)
        bot.send_message(message.chat.id, 'в строку IP адрес: вводим 192.168.7*.5')
        bot.send_message(message.chat.id, 'в строку Основной шлюз: вводим 192.168.0.1')
        bot.send_message(message.chat.id, 'в строку Предпочитаемый DNS-Сервер: вводим 127.0.0.1')
        bot.send_message(message.chat.id, 'в строку Алтернативный DNS-Server: вводим 8.8.8.8')
        bot.send_message(message.chat.id, '* - Номер компьютера который вы используете')
        markup.add(go3)
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == '3 Шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go4 = types.KeyboardButton('4 Шаг')
        bot.send_message(message.chat.id, "Заходим в 'Проводник'")
        bot.send_message(message.chat.id, "ПКМ'Этот компьютер'")
        image = 'KGmOATYpcKM (1).jpg'
        file5 = open(image, 'rb')
        bot.send_photo(message.chat.id, file5)
        bot.send_message(message.chat.id, 'Выбираем "Свойства"')
        image = 'OfJI6moZc2g.jpg'
        file6 = open(image, 'rb')
        bot.send_photo(message.chat.id, file6)
        bot.send_message(message.chat.id, 'выбираем "Дополнительные параметры системы" ')
        image = 'ew8YBGuHdHA.jpg'
        file7 = open(image, 'rb')
        bot.send_photo(message.chat.id, file7)
        bot.send_message(message.chat.id, 'Выбираем вкладку "Удаленные доступ"')
        image = '3a3G0trzpiw.jpg'
        file8 = open(image, 'rb')
        bot.send_photo(message.chat.id, file8)
        bot.send_message(message.chat.id, 'Включаем параметр и убираем галочку')
        bot.send_message(message.chat.id, 'Применяем изменения')

        markup.add(go4)
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == '4 Шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go5 = types.KeyboardButton('5 Шаг')
        bot.send_message(message.chat.id, 'ПКМ"Пуск"')
        image = 'uOTf-ItkamM — копия.jpg'
        file81 = open(image, 'rb')
        bot.send_photo(message.chat.id, file81)
        bot.send_message(message.chat.id, 'Выбираем "Управление компьютером"')
        image = 'O0CExLj2Gkg — копия.jpg'
        file82 = open(image, 'rb')
        bot.send_photo(message.chat.id, file82)
        bot.send_message(message.chat.id, 'Выбираем локальные пользователи')
        image = 'A6k58Gr85Ig.jpg'
        file85 = open(image, 'rb')
        bot.send_photo(message.chat.id, file85)
        bot.send_message(message.chat.id, 'Открываем папку "Пользователи"')
        bot.send_message(message.chat.id, 'ПКМ"Администратор" ->"Переименовать" в Administrator')
        image = 'unJbI-ih8kw — копия.jpg'
        file83 = open(image, 'rb')
        bot.send_photo(message.chat.id, file83)
        bot.send_message(message.chat.id, 'ПКМ"Администратор" ->"Задать пароль...": xxXX1234')
        image = 'unJbI-ih8kw.jpg'
        file84 = open(image, 'rb')
        bot.send_photo(message.chat.id, file84)
        markup.add(go5)
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == '5 Шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go5 = types.KeyboardButton('Начать настройку Windows')
        bot.send_message(message.chat.id, 'Заходим в "Диспетчер серверов"')
        image = 'HLOgVDkXOH8 — копия.jpg'
        file85 = open(image, 'rb')
        bot.send_photo(message.chat.id, file85)
        bot.send_message(message.chat.id, 'Выбираем "Добавить роли и компоненты"')
        image = 'hDRhGs7Fjt8 — копия.jpg'
        file85 = open(image, 'rb')
        bot.send_photo(message.chat.id, file85)
        bot.send_message(message.chat.id, 'В пункте "Тип установки" выбираем параметр "Установка ролей и компонентов"')
        image = 'fL53UfG3Zdw — копия.jpg'
        file87 = open(image, 'rb')
        bot.send_photo(message.chat.id, file87)
        bot.send_message(message.chat.id, 'Нажимаем далее')
        image = 'iFg5xcfXqTY — копия.jpg'
        file86 = open(image, 'rb')
        bot.send_photo(message.chat.id, file86)

        bot.send_message(message.chat.id, 'В пункте "Роли Сервера" выбираем "DNS-сервер"\n'
                                          '"Доменные службы Active Directory"')
        bot.send_message(message.chat.id, 'Нажимаем "Далее"')
        image = '2UD5VV-Ers8.jpg'
        file89 = open(image, 'rb')
        bot.send_photo(message.chat.id, file89)
        bot.send_message(message.chat.id, 'Нажимаем "Установить"')

        bot.send_message(message.chat.id, 'После установки в "Результатах" выбираем пункт:\n'
                                          ' "Повысить роль этого сервера до уровня контроллера домена".')
        image = '68nd2nQnCb4 — копия.jpg'
        file89 = open(image, 'rb')
        bot.send_photo(message.chat.id, file89)
        markup.add(go5)

        bot.send_message(message.chat.id, 'В строке "Имя корневого домена" вводим "demo.test"')
        bot.send_message(message.chat.id, 'Нажимаем далее')
        bot.send_message(message.chat.id, 'Вводим пароль xxXX1234')
        bot.send_message(message.chat.id, 'Нажимаем установить')
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == 'Вернуться к настройке домена':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go11 = types.KeyboardButton('1 Шаг')

        markup.add(go11)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Начать настройку Windows':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go1 = types.KeyboardButton('1 шаг')

        markup.add(go1)
        bot.send_message(message.chat.id, f'Выбери следующее действие', reply_markup=markup)

    elif message.text == '1 шаг':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go2 = types.KeyboardButton('2 шаг')

        bot.send_message(message.chat.id, 'Заходим в "проводник"')
        bot.send_message(message.chat.id, 'ПКМ"сеть"')
        image = 'JmYC7jHMBig.jpg'
        file = open(image, 'rb')
        bot.send_photo(message.chat.id, file)
        bot.send_message(message.chat.id, 'Выбираем "Свойства"')
        image = '3333.jpg'
        file1 = open(image, 'rb')
        bot.send_photo(message.chat.id, file1)
        bot.send_message(message.chat.id, 'Выбираем "Изменить доп.параметры общего доступа"')
        bot.send_message(message.chat.id, 'включаем все параметры и сохранаем изменения')
        image = '1234.jpg'
        file2 = open(image, 'rb')
        bot.send_photo(message.chat.id, file2)
        bot.send_message(message.chat.id, 'Выбираем изменение параметров адаптера')
        bot.send_message(message.chat.id, 'ПКМ"Ethernet"')
        image = 'Sun4VQluam8 — копия.jpg'
        file3 = open(image, 'rb')
        bot.send_photo(message.chat.id, file3)
        bot.send_message(message.chat.id, 'Выбираем"Свойства"')
        image = '1121443.jpg'
        file3 = open(image, 'rb')
        bot.send_photo(message.chat.id, file3)
        bot.send_message(message.chat.id, 'выбираем IP версии 4 (TCP/IPv4) ->Свойства')
        image = '4ZuLEXqxLwY.jpg'
        file4 = open(image, 'rb')
        bot.send_photo(message.chat.id, file4)
        bot.send_message(message.chat.id, 'в строку IP адрес: вводим 192.168.7*.1')
        bot.send_message(message.chat.id, 'в строку Основной шлюз: вводим 192.168.0.1')
        bot.send_message(message.chat.id, 'в строку Предпочитаемый DNS-Сервер: вводим 192.168.7.5')
        bot.send_message(message.chat.id, 'в строку Алтернативный DNS-Server: вводим 8.8.8.8')
        bot.send_message(message.chat.id, '* - Номер компьютера который вы используете')

        markup.add(go2)
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == '2 шаг':

        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go3 = types.KeyboardButton('3 шаг')
        resetwind = types.KeyboardButton('Начать настройку Windows заново')
        bot.send_message(message.chat.id, 'Заходим в "Проводник"')
        image = 'KGmOATYpc1111KM.jpg'
        file411 = open(image, 'rb')
        bot.send_photo(message.chat.id, file411)
        bot.send_message(message.chat.id, 'ПКМ"Этот компьютер"')
        image = 'OfJI6moZc2g.jpg'
        file412 = open(image, 'rb')
        bot.send_photo(message.chat.id, file412)
        bot.send_message(message.chat.id, 'Выбираем сопутствующий параметр"доп.параметры системы"')
        bot.send_message(message.chat.id, 'Выбираем вкладку \n "Имя компьютера"')
        image = '111oNB2FTXA6A8.jpg'
        file413 = open(image, 'rb')
        bot.send_photo(message.chat.id, file413)
        bot.send_message(message.chat.id, 'Выбираем "Изменить"')
        image = 'sQa8NjT8jFE.jpg'
        file414 = open(image, 'rb')
        bot.send_photo(message.chat.id, file414)
        bot.send_message(message.chat.id, 'Выбираем является членом "Домена"')
        image = 'В поле вводим "demo.lab"'
        file415 = open(image, 'rb')
        bot.send_photo(message.chat.id, file415)
        bot.send_message(message.chat.id, 'В поле вводим "demo.lab"')
        bot.send_message(message.chat.id, 'Нажимаем "Ок"')
        image = 'lY8tkvxK82I (1) — копия.jpg'
        file415 = open(image, 'rb')
        bot.send_photo(message.chat.id, file415)
        bot.send_message(message.chat.id, 'В поле "Имя пользователя" вводим "Administrator"')
        bot.send_message(message.chat.id, 'В поле "Пароль" вводим "xxXX1234"')
        bot.send_message(message.chat.id, 'Нажимаем Ок')
        bot.send_message(message.chat.id, 'После этого у вас должно появится следуубшее окно:')
        image = 'fKRwZEyoNcA (1) — копия.jpg'
        file415 = open(image, 'rb')
        bot.send_photo(message.chat.id, file415)
        markup.add(go3, resetwind)
        bot.send_message(message.chat.id, 'Если этого окна у вас не появилось то повторите все действия с начала')
        bot.send_message(message.chat.id, f'Выбери следующий шаг', reply_markup=markup)

    elif message.text == 'Начать настройку Windows заново':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go1 = types.KeyboardButton('1 шаг')
        markup.add(go1)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Ввести в домен(Astra)':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        bot.send_message(message.chat.id, 'Важно! Сначала настраиваем Домен потом Astra')
        settingsastra = types.KeyboardButton('Начать настройку Astra')
        settingdomen = types.KeyboardButton('Начать настройку Домена')
        markup.add(settingsastra)
        markup.add(settingdomen)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Начать настройку Astra':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go111 = types.KeyboardButton('Шаг 1')
        markup.add(go111)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)

    elif message.text == 'Шаг 1':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go222 = types.KeyboardButton('Шаг 2')
        bot.send_message(message.chat.id, 'Нажать правой кнопкой мыши (ПКМ) на иконке NetworkManager')
        image = 'KNCUEHcudsnvj.jpg'
        file415 = open(image, 'rb')
        bot.send_photo(message.chat.id, file415)
        bot.send_message(message.chat.id, 'Выбираем "Изменить соединения..."')
        bot.send_message(message.chat.id, 'Выбираем \n"Проводное соединение 1"')
        image = 'fknfkWD111WCF.jpg'
        file416 = open(image, 'rb')
        bot.send_photo(message.chat.id, file416)
        bot.send_message(message.chat.id, 'Выбираем "Параметры IPv4"')
        image = 'fknfkWD121212WCF.jpg'
        file417 = open(image, 'rb')
        bot.send_photo(message.chat.id, file417)
        bot.send_message(message.chat.id, 'Нажимаем "Добавить"')
        bot.send_message(message.chat.id, 'В поле "Адрес" вводим: 192.168.7*.2')
        bot.send_message(message.chat.id, 'В поле "Маска сети" вводим: 255.255.255.0')
        bot.send_message(message.chat.id, 'В поле "Шлюз" вводим: 192.168.0.1')
        bot.send_message(message.chat.id, 'В поле "DNS servers" вводим: 192.168.7*.5')
        bot.send_message(message.chat.id, '* - Номер компьютера который вы используете')
        bot.send_message(message.chat.id, 'В поле "Search domains" вводим: demo.lab')
        bot.send_message(message.chat.id, 'Нажимаем "Сохранить"')
        bot.send_message(message.chat.id, 'После этого перезагружаем сеть')
        markup.add(go222)
        bot.send_message(message.chat.id, f'Выберите следующий шаг', reply_markup=markup)

    elif message.text == 'Шаг 2':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        image = 'KNJbnivnrjhei.jpg'
        file417 = open(image, 'rb')
        bot.send_photo(message.chat.id, file417)
        bot.send_message(message.chat.id, 'ПКМ"Пуск" -> "Системные" -> "Терминал Fly"')
        go333 = types.KeyboardButton('Шаг 3')
        image = 'frnjevbWKC K.jpg'
        file417 = open(image, 'rb')
        bot.send_photo(message.chat.id, file417)
        bot.send_message(message.chat.id, 'Подключаем сетевой диск -> ПКМ -> "Подключить"')
        image = 'meriovnwGF.jpg'
        file418 = open(image, 'rb')
        bot.send_photo(message.chat.id, file418)
        bot.send_message(message.chat.id, 'Вводим следующую команду: "sudo apt install fly-admin-ad-client"')
        markup.add(go333)
        bot.send_message(message.chat.id, f'Выберите следующий шаг', reply_markup=markup)

    elif message.text == 'Шаг 3':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        resettingastra = types.KeyboardButton('Начать настройку Astra заново')
        image = 'fgnrejg.jpg'
        file419 = open(image, 'rb')
        bot.send_photo(message.chat.id, file419)
        bot.send_message(message.chat.id, 'ПКМ"Пуск" -> "Панель управления" ')
        image = 'vevevedFGe.jpg'
        file420 = open(image, 'rb')
        bot.send_photo(message.chat.id, file420)
        bot.send_message(message.chat.id, 'Выбираем пункт "Сеть"')
        bot.send_message(message.chat.id, 'Нажимаем на "Настройка клиента Active Directory"')
        image = 'rgreve.jpg'
        file421 = open(image, 'rb')
        bot.send_photo(message.chat.id, file421)
        bot.send_message(message.chat.id, 'В поле "Контроллер домена" вводим: "demo"')
        bot.send_message(message.chat.id, 'В поле "Имя домена" вводим: "demo.lab"')
        bot.send_message(message.chat.id, 'В поле "Администратор домена" вводим: "Administrator"')
        bot.send_message(message.chat.id, 'Нажимаем "Подключиться"')
        image = 'kfnkenvlk.jpg'
        file422 = open(image, 'rb')
        bot.send_photo(message.chat.id, file422)
        bot.send_message(message.chat.id, 'Вводим пароль: "xxXX1234"')
        image = 'fvnernr.jpg'
        file421 = open(image, 'rb')
        bot.send_photo(message.chat.id, file421)
        bot.send_message(message.chat.id, 'Если вы сделали всё правильно у вас должно появиться "Отключиться"')
        bot.send_message(message.chat.id, 'Если у вас ничего не изменилось то начните настройку заново')
        markup.add(resettingastra)
        bot.send_message(message.chat.id, f'Выберите следующий шаг', reply_markup=markup)

    elif message.text == 'Начать настройку Astra заново':
        markup = types.ReplyKeyboardMarkup(resize_keyboard=True)
        go111 = types.KeyboardButton('Шаг 1')
        markup.add(go111)
        bot.send_message(message.chat.id, f'Выбери действие ', reply_markup=markup)


bot.polling(non_stop=True)
